Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Class AccessibleRelation

    java.lang.Object
      |
      +--javax.accessibility.AccessibleBundle
            |
            +--javax.accessibility.AccessibleRelation

public class AccessibleRelation
extends AccessibleBundle

Class AccessibleRelation describes a relation between the object that implements the AccessibleRelation and one or more other objects. The actual relations that an object has with other objects are defined as an AccessibleRelationSet, which is a composed set of AccessibleRelations.

The toDisplayString method allows you to obtain the localized string for a locale independent key from a predefined ResourceBundle for the keys defined in this class.

The constants in this class present a strongly typed enumeration of common object roles. A public constructor for this class has been purposely omitted and applications should use one of the constants from this class. If the constants in this class are not sufficient to describe the role of an object, a subclass should be generated from this class and it should provide constants in a similar manner.

Field Summary
`static String` | `CONTROLLED_BY` Indicates an object is controlled by one or more target objects.
`static String` | `CONTROLLED_BY_PROPERTY` Identifies that the target object that is doing the controlling has changed
`static String` | `CONTROLLER_FOR` Indicates an object is a controller for one or more target objects.
`static String` | `CONTROLLER_FOR_PROPERTY` Identifies that the controller for the target object has changed
`static String` | `LABEL_FOR` Indicates an object is a label for one or more target objects.
`static String` | `LABEL_FOR_PROPERTY` Identifies that the target group for a label has changed
`static String` | `LABELED_BY` Indicates an object is labeled by one or more target objects.
`static String` | `LABELED_BY_PROPERTY` Identifies that the objects that are doing the labeling have changed
`static String` | `MEMBER_OF` Indicates an object is a member of a group of one or more target objects.
`static String` | `MEMBER_OF_PROPERTY` Identifies that group membership has changed.

Fields inherited from class javax.accessibility.AccessibleBundle
`key`

Constructor Summary
`AccessibleRelation(String key)` Create a new AccessibleRelation using the given locale independent key.
`AccessibleRelation(String key, Object target)` Creates a new AccessibleRelation using the given locale independent key.
`AccessibleRelation(String key, Object[] target)` Creates a new AccessibleRelation using the given locale independent key.

Method Summary
`String` | `getKey()` Returns the key for this relation
`Object[]` | `getTarget()` Returns the target objects for this relation
`void` | `setTarget(Object target)` Sets the target object for this relation
`void` | `setTarget(Object[] target)` Sets the target objects for this relation

Methods inherited from class javax.accessibility.AccessibleBundle
`toDisplayString, toDisplayString, toDisplayString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL_FOR

    public static final String LABEL_FOR

  Indicates an object is a label for one or more target objects.
  See Also:
    `getTarget()`, `CONTROLLER_FOR`, `CONTROLLED_BY`, `LABELED_BY`, `MEMBER_OF`

### LABELED_BY

    public static final String LABELED_BY

  Indicates an object is labeled by one or more target objects.
  See Also:
    `getTarget()`, `CONTROLLER_FOR`, `CONTROLLED_BY`, `LABEL_FOR`, `MEMBER_OF`

### MEMBER_OF

    public static final String MEMBER_OF

  Indicates an object is a member of a group of one or more target objects.
  See Also:
    `getTarget()`, `CONTROLLER_FOR`, `CONTROLLED_BY`, `LABEL_FOR`, `LABELED_BY`

### CONTROLLER_FOR

    public static final String CONTROLLER_FOR

  Indicates an object is a controller for one or more target objects.
  See Also:
    `getTarget()`, `CONTROLLED_BY`, `LABEL_FOR`, `LABELED_BY`, `MEMBER_OF`

### CONTROLLED_BY

    public static final String CONTROLLED_BY

  Indicates an object is controlled by one or more target objects.
  See Also:
    `getTarget()`, `CONTROLLER_FOR`, `LABEL_FOR`, `LABELED_BY`, `MEMBER_OF`

### LABEL_FOR_PROPERTY

    public static final String LABEL_FOR_PROPERTY

  Identifies that the target group for a label has changed

### LABELED_BY_PROPERTY

    public static final String LABELED_BY_PROPERTY

  Identifies that the objects that are doing the labeling have changed

### MEMBER_OF_PROPERTY

    public static final String MEMBER_OF_PROPERTY

  Identifies that group membership has changed.

### CONTROLLER_FOR_PROPERTY

    public static final String CONTROLLER_FOR_PROPERTY

  Identifies that the controller for the target object has changed

### CONTROLLED_BY_PROPERTY

    public static final String CONTROLLED_BY_PROPERTY

  Identifies that the target object that is doing the controlling has changed

Constructor Detail

### AccessibleRelation

    public AccessibleRelation(String key)

  Create a new AccessibleRelation using the given locale independent key.
  Parameters:
    `key` - the locale independent name of the relation.
  See Also:
    `AccessibleBundle.toDisplayString(java.lang.String, java.util.Locale)`

### AccessibleRelation

    public AccessibleRelation(String key,
                              Object target)

  Creates a new AccessibleRelation using the given locale independent key.
  Parameters:
    `key` - the locale independent name of the relation.
    `target` - the target object for this relation
  See Also:
    `AccessibleBundle.toDisplayString(java.lang.String, java.util.Locale)`

### AccessibleRelation

    public AccessibleRelation(String key,
                              Object[] target)

  Creates a new AccessibleRelation using the given locale independent key.
  Parameters:
    `key` - the locale independent name of the relation.
    `target` - the target object(s) for this relation
  See Also:
    `AccessibleBundle.toDisplayString(java.lang.String, java.util.Locale)`

Method Detail

### getKey

    public String getKey()

  Returns the key for this relation
  Returns:
    the key for this relation
  See Also:
    `CONTROLLER_FOR`, `CONTROLLED_BY`, `LABEL_FOR`, `LABELED_BY`, `MEMBER_OF`

### getTarget

    public Object[] getTarget()

  Returns the target objects for this relation
  Returns:
    an array containing the target objects for this relation

### setTarget

    public void setTarget(Object target)

  Sets the target object for this relation
  Parameters:
    `target` - the target object for this relation

### setTarget

    public void setTarget(Object[] target)

  Sets the target objects for this relation
  Parameters:
    `target` - an array containing the target objects for this relation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.